//
//  RemoveDistTable.h
//  Local TeX
//
//  Created by Richard Koch on 2/16/14.
//  Copyright (c) 2014 Richard Koch. All rights reserved.
//


#import <Foundation/Foundation.h>
#import "LTModel.h"

@interface RemoveDistTable : NSObject
{
    IBOutlet NSPanel *removeDistributionPanel;
    IBOutlet NSTableView *theExtrasTable;
    IBOutlet NSTableView *theRegularTable;
    IBOutlet LTModel *myLTModel;
    IBOutlet NSButton *removeButton;
}

@property NSInteger selectedRow;
@property BOOL changed;
@property BOOL selectedItemWasRemoved;

- (void)setupTable;

- (NSInteger)numberOfRowsInTableView:(NSTableView *)aTableView;

- (NSView *)tableView:(NSTableView *)tableView viewForTableColumn:(NSTableColumn *)tableColumn
                  row:(NSInteger)row;

- (void)runRemoveDistributionPanel;

- (IBAction)removeSelectedCellPushed:(id)sender;

- (IBAction)closeDialogPushed:(id)sender;



@end
