#!/bin/bash


# We're going to run this in the MacTeXDVD working directory...
WORK=`pwd`


echo "Removing old file tree at ${WORK}/root"
rm -rf ${WORK}/root

# Copy files to root
mkdir -p ${WORK}/root/Library/TeX/.scripts
cp ${WORK}/texdist ${WORK}/root/Library/TeX/.scripts/texdist

mkdir -p ${WORK}/root/Library/PreferencePanes
cp -pRf ${WORK}/PreferencePanes/TeXDistPrefPane-Temp.prefPane ${WORK}/root/Library/PreferencePanes
cp -pRf ${WORK}/PreferencePanes/TeXDistPrefPane2-Temp.prefPane ${WORK}/root/Library/PreferencePanes

chmod -R 755 ${WORK}/root
chgrp -R wheel ${WORK}/root
chown -R root ${WORK}/root





