#!/usr/bin/env ruby

raise "Not a standalone command" if __FILE__ == $0

module TeXDist
    class Application
        class Options
            attr_accessor :bridge
        end
        class Parser
            def my_content(options)
                separator('Usage:')
                separator("    #{$me} test [OPTIONS] -> regression tests")
                separator('Options')
                on('-b','--bridge','test the bridge class') do
                    options.bridge=true
                end
            end
        end
        def proceed
            unless get_bridge.nil?
                require_relative '../../tests/bridge.rb'
            end
        end
    end
end
